OGRE: Ogre::InvalidCallException Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | List of all members
Ogre::InvalidCallException Class Reference
Core » General

`#include <OgreException.h>`

Inheritance diagram for Ogre::InvalidCallException:
[legend]

## Public Types
enum | ExceptionCodes { ERR_CANNOT_WRITE_TO_FILE, ERR_INVALID_STATE, ERR_INVALIDPARAMS, ERR_RENDERINGAPI_ERROR, ERR_DUPLICATE_ITEM, ERR_ITEM_NOT_FOUND, ERR_FILE_NOT_FOUND, ERR_INTERNAL_ERROR, ERR_RT_ASSERTION_FAILED, ERR_NOT_IMPLEMENTED, ERR_INVALID_CALL }
| Static definitions of error codes. More...

## Public Member Functions
| InvalidCallException (int inNumber, const String &inDescription, const String &inSource, const char *inFile, long inLine)
virtual | ~InvalidCallException () throw ()
virtual const String & | getDescription (void) const
| Returns a string with only the 'description' field of this exception. More...
virtual const String & | getFile () const
| Gets source file name. More...
virtual const String & | getFullDescription (void) const
| Returns a string with the full description of this error. More...
virtual long | getLine () const
| Gets line number. More...
virtual int | getNumber (void) const throw ()
| Gets the error code. More...
virtual const String & | getSource () const
| Gets the source function. More...
const char * | what () const throw ()
| Override std::exception::what. More...

## Member Enumeration Documentation

## ◆ ExceptionCodes

enum Ogre::Exception::ExceptionCodes
| inherited

Static definitions of error codes.

Enumerator
ERR_CANNOT_WRITE_TO_FILE |
ERR_INVALID_STATE |
ERR_INVALIDPARAMS |
ERR_RENDERINGAPI_ERROR |
ERR_DUPLICATE_ITEM |
ERR_ITEM_NOT_FOUND |
ERR_FILE_NOT_FOUND |
ERR_INTERNAL_ERROR |
ERR_RT_ASSERTION_FAILED |
ERR_NOT_IMPLEMENTED |
ERR_INVALID_CALL |

## Constructor & Destructor Documentation

## ◆ InvalidCallException()

Ogre::InvalidCallException::InvalidCallException | ( | int | inNumber,
|  | const String & | inDescription,
|  | const String & | inSource,
|  | const char * | inFile,
|  | long | inLine
| ) |  |

## ◆ ~InvalidCallException()

virtual Ogre::InvalidCallException::~InvalidCallException | ( |  | ) |
throw | ( |
| ) |  |
| virtual

## Member Function Documentation

## ◆ getDescription()

virtual const String& Ogre::Exception::getDescription | ( | void |  | ) | const
| inlinevirtualinherited

Returns a string with only the 'description' field of this exception.

Use getFullDescriptionto get a full description of the error including line number, error number and what function threw the exception.

## ◆ getFile()

virtual const String& Ogre::Exception::getFile | ( |  | ) | const
| inlinevirtualinherited

Gets source file name.

## ◆ getFullDescription()

virtual const String& Ogre::Exception::getFullDescription | ( | void |  | ) | const
| virtualinherited

Returns a string with the full description of this error.

Remarks
  The description contains the error number, the description supplied by the thrower, what routine threw the exception, and will also supply extra platform-specific information where applicable. For example - in the case of a rendering library error, the description of the error will include both the place in which OGRE found the problem, and a text description from the 3D rendering library, if available.

## ◆ getLine()

virtual long Ogre::Exception::getLine | ( |  | ) | const
| inlinevirtualinherited

Gets line number.

## ◆ getNumber()

virtual int Ogre::Exception::getNumber | ( | void |  | ) | const
throw | ( |
| ) |  |
| virtualinherited

Gets the error code.

## ◆ getSource()

virtual const String& Ogre::Exception::getSource | ( |  | ) | const
| inlinevirtualinherited

Gets the source function.

## ◆ what()

const char* Ogre::Exception::what | ( |  | ) | const
throw | ( |
| ) |  |
| inlineinherited

Override std::exception::what.

The documentation for this class was generated from the following file:

- OgreException.h